#include<bits/stdc++.h>
using namespace std;
int pomejdu(int i,int j,int stolove[]){
    int YesNo=0;
    for(int k=i+1;k<j && YesNo==0;k++){
        if(stolove[k]>stolove[i] && stolove[k]>stolove[j]){
            YesNo=1;
        }
    }
    return YesNo;
}
int main(){
int n;
cin>>n;
int stolove[100000];
for(int i=0;i<n;i++){
    cin>>stolove[i];
}
int broi=0;
for(int i=0;i<n-1;i++){
    broi++;
    for(int j=i+2;j<n;j++){
        if(pomejdu(i,j,stolove)==0){
            broi++;
        }
    }
}
cout<<broi<<endl;
return 0;
}
